import request from "@/utils/request";

// 查询服务调用日志列表
export function listSetFunctionLog(query) {
  return request({
    url: "/device/setFunctionLog/list",
    method: "get",
    params: query,
  });
}

// 查询服务调用日志详细
export function getSetFunctionLog(id) {
  return request({
    url: "/device/setFunctionLog/" + id,
    method: "get",
  });
}

// 新增服务调用日志
export function addSetFunctionLog(data) {
  return request({
    url: "/device/setFunctionLog",
    method: "post",
    data: data,
  });
}

// 修改服务调用日志
export function updateSetFunctionLog(data) {
  return request({
    url: "/device/setFunctionLog",
    method: "put",
    data: data,
  });
}

// 删除服务调用日志
export function delSetFunctionLog(id) {
  return request({
    url: "/device/setFunctionLog/" + id,
    method: "delete",
  });
}
